This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 155902 - After upgrading to kernel 2.6.9-5.0.5 USB hubs no longer work
After upgrading to kernel 2.6.9-5.0.5 USB hubs no longer work
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-25 11:41 EDT by Eric Molitor
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 11:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Working capture of /proc/bus/usb/devices from 2.6.9-5.0.3 (1.78 KB, text/plain)
2005-04-25 19:05 EDT, Eric Molitor
no flags Details
working dmesg output from 2.6.9-5.0.3 (15.07 KB, text/plain)
2005-04-25 19:06 EDT, Eric Molitor
no flags Details
Broken out put of dmesg from 2.6.9-5.0.5 (11.60 KB, text/plain)
2005-04-25 19:07 EDT, Eric Molitor
no flags Details
Tar of modules.dep and other module conf files (646 bytes, application/x-gzip)
2005-04-26 11:05 EDT, Eric Molitor
no flags Details

  None (edit)
Description Eric Molitor 2005-04-25 11:41:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Red Hat/1.0.3-1.4.1 Firefox/1.0.3

Description of problem:
After upgrading to 6.9-5.0.5 USB hubs no longer work. This is a huge issue because  of boxes on USB KVM's no longer work. Switching back to 2.6.9-5.0.3 resolves the matter. I went on to test this on my laptop in several configurations. Tested a USB Hub (IOGear), USB KVM Switch (Hardware configuration in RedHat identifies it as ATEN USB Hub), a Microsoft Natural keyboard with built in USB hub, and a Dell C600 docking station (Intel USB Hub). Failed under all four with 2.6.9-5.0.5, but booting 2.6.9-5.0.3 fixes the issue.

Version-Release number of selected component (if applicable):
kernel-2.6.9-5.0.5.EL

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to 2.6.9-5.0.5
2. Install a usb keyboard and/or mouse via a USB Hub
3. Reboot (the keyboard/mouse will even work in grub, but not after the boot)
  

Actual Results:  Everything even works in GRUB but once the kernel boots the USB devices go inactive (which is normal). Then when udev starts the USB devices would normally activate again, but they do not. Without keyboard or mouse control you cant do much on the console under runlevel 5 or runlevel 3. (Fails in XWindows and on the console). 

Expected Results:  Mouse and keyboard should work.

Additional info:

Its a huge pain in the ass, please fix.
Comment 2 Pete Zaitcev 2005-04-25 18:10:18 EDT
I have diffed 2.6.9-5.0.5.EL against 2.6.9-5.0.3.EL and there is no
difference which could possibly account for this problem. It's definitely
something else.

I need a few pieces of data: captures of dmesg(8) output and captures
of /proc/bus/usb/devices for both working kernel and not working kernel
(in the latter case, it should be doable with a remote login over ssh).
Comment 3 Eric Molitor 2005-04-25 19:03:42 EDT
Well you may be on to something, scarily enough when running 2.6.9-5.0.5 I dont
have a /proc/bus/usb/devices, in fact /proc/bus/usb is empty.
Comment 4 Eric Molitor 2005-04-25 19:05:43 EDT
Created attachment 113654 [details]
Working capture of /proc/bus/usb/devices from 2.6.9-5.0.3

since there isn't a devices under 2.6.9-5.0.5 this is it (in regards to
devices)
Comment 5 Eric Molitor 2005-04-25 19:06:38 EDT
Created attachment 113655 [details]
working dmesg output from 2.6.9-5.0.3

Working output from dmesg while running 2.6.9-5.0.3
Comment 6 Eric Molitor 2005-04-25 19:07:28 EDT
Created attachment 113656 [details]
Broken out put of dmesg from 2.6.9-5.0.5

Capture of dmesg output from 2.6.9-5.0.5
Comment 7 Pete Zaitcev 2005-04-25 19:39:43 EDT
It appears that no modules get loaded on 2.6.9-5.0.5.EL for some reason.
Not only USB, but Ethernet, sound, and everything else aside from modules
loaded by initrd fails to load.

This may have something to do with it (or maybe not), although I have no
knowledge of details:

 Loading keyring
-- Added public key 11C4DB29EEC4373C
+- Added public key 1B8033B6C9E2FA0B
 - User ID: Red Hat, Inc. (Kernel Module GPG key)
 pci_hotplug: PCI Hot Plug PCI Core version: 0.5

Eric, what does happen if you run "modprobe uhci_hcd" by hand?
Please just copy-paste what happens on the terminal, and also
results of "dmesg | tail -20" or similar. I wish to know if
modules can be loaded at all.

I see that the cisco_ipsec thing gets loaded, but that one may
be using insmod -f, so please try to load normal modules.
Comment 8 Eric Molitor 2005-04-26 11:05:45 EDT
Created attachment 113669 [details]
Tar of modules.dep and other module conf files

Tar of modules.dep and other module conf files destroyed by the madwifi
drivers...
Comment 9 Eric Molitor 2005-04-26 11:06:25 EDT
Well modprobe failed with a file not found so I dug into the kernel directory to
see what was going on. Turns out several files in /lib/modules/2.6.9-5.0.5.EL/
are broken. modules.alias is only 45 byte which is way to small (contains only
the header content) modules.dep is completely empty. (And several of the other
files are wrong, I've included the /lib/modules/2.6.9-5.0.5.EL/modules-* in the
attached tar.gz)

I suspected it had to be caused by one of the three custom modules I load so I
tried on a clean install of RHEL 4 and did the kernel upgrade and sure enough
everything worked. (Ooops) Deployed VMWare 5.0 and all was still fine, Deployed
the CISCO IPSec module and everything still worked (with some warnings and some
bad cisco coding but everything is still ok). Finally I deployed the Atheros
(MadWIFI) driver and poof it clobbered my module alias and module.dep. 

So I'm the cause of my own problems the only thing that is a mystery is the the
drivers built and deployed fine on 2.6.9-5.0.3. I will play around with the
source and figure out what happened (I'm assuming forcing the RPM the install
again will resolve the issues) 

I'm a bit embaressed so I'll move this to the MadWIFI project and make some
patches for them to fix there build. (Sorry!!!!)
Comment 10 Pete Zaitcev 2005-04-26 13:15:31 EDT
I'm glad we're making progress here. Eric, please close the bug as appropriate.
Comment 11 Eric Molitor 2005-04-27 11:04:30 EDT
Forced kernel rpm to reinstall and modules are working again. Modified MADWIFI
build files to resolve issue and submitted patch.

Note You need to log in before you can comment on or make changes to this bug.